rte_flow_item_ipv6(3)

NAME
rte_flow_item_ipv6

SYNOPSIS

#include <rte_flow.h>

  Data Fields

struct rte_ipv6_hdr hdr
uint32_t has_hop_ext:1
uint32_t has_route_ext:1
uint32_t has_frag_ext:1
uint32_t has_auth_ext:1
uint32_t has_esp_ext:1
uint32_t has_dest_ext:1
uint32_t has_mobil_ext:1
uint32_t has_hip_ext:1
uint32_t has_shim6_ext:1
uint32_t reserved:23

Detailed Description

RTE_FLOW_ITEM_TYPE_IPV6.

Matches an IPv6 header.

Dedicated flags indicate if header contains specific extension headers.

Definition at line 980 of file rte_flow.h.

Field Documentation

  struct rte_ipv6_hdr hdr
IPv6 header definition.

Definition at line 981 of file rte_flow.h.

  uint32_t has_hop_ext
Header contains Hop-by-Hop Options extension header.

Definition at line 983 of file rte_flow.h.

  uint32_t has_route_ext
Header contains Routing extension header.

Definition at line 985 of file rte_flow.h.

  uint32_t has_frag_ext
Header contains Fragment extension header.

Definition at line 987 of file rte_flow.h.

  uint32_t has_auth_ext
Header contains Authentication extension header.

Definition at line 989 of file rte_flow.h.

  uint32_t has_esp_ext
Header contains Encapsulation Security Payload extension header.

Definition at line 991 of file rte_flow.h.

  uint32_t has_dest_ext
Header contains Destination Options extension header.

Definition at line 993 of file rte_flow.h.

  uint32_t has_mobil_ext
Header contains Mobility extension header.

Definition at line 995 of file rte_flow.h.

  uint32_t has_hip_ext
Header contains Host Identity Protocol extension header.

Definition at line 997 of file rte_flow.h.

  uint32_t has_shim6_ext
Header contains Shim6 Protocol extension header.

Definition at line 999 of file rte_flow.h.

  uint32_t reserved
Reserved for future extension headers, must be zero.

Definition at line 1001 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.